<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: &lt;RTCPeerConnectionDelegate&gt; Protocol Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Instance Methods</a> &#124;
<a href="protocol_r_t_c_peer_connection_delegate-p-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">&lt;RTCPeerConnectionDelegate&gt; Protocol Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for &lt;RTCPeerConnectionDelegate&gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="protocol_r_t_c_peer_connection_delegate-p.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Instance Methods</h2></td></tr>
<tr class="memitem:a8557c940e14fa7a98326eddd2521dd95"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_r_t_c_peer_connection_delegate-p.html#a8557c940e14fa7a98326eddd2521dd95">peerConnection:didChangeSignalingState:</a></td></tr>
<tr class="separator:a8557c940e14fa7a98326eddd2521dd95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78fce8b18d2611196cca39d273cdfdbf"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_r_t_c_peer_connection_delegate-p.html#a78fce8b18d2611196cca39d273cdfdbf">peerConnection:didAddStream:</a></td></tr>
<tr class="separator:a78fce8b18d2611196cca39d273cdfdbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c89858fff8fb3108a85d8983d0166f7"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_r_t_c_peer_connection_delegate-p.html#a1c89858fff8fb3108a85d8983d0166f7">peerConnection:didRemoveStream:</a></td></tr>
<tr class="separator:a1c89858fff8fb3108a85d8983d0166f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af61aaa196a762da9c347691a6f8e0dcc"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_r_t_c_peer_connection_delegate-p.html#af61aaa196a762da9c347691a6f8e0dcc">peerConnectionShouldNegotiate:</a></td></tr>
<tr class="separator:af61aaa196a762da9c347691a6f8e0dcc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a487dce6d42bc12f5022cf6d07dfdd19f"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_r_t_c_peer_connection_delegate-p.html#a487dce6d42bc12f5022cf6d07dfdd19f">peerConnection:didChangeIceConnectionState:</a></td></tr>
<tr class="separator:a487dce6d42bc12f5022cf6d07dfdd19f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a09538f7bec13438d6b15c8bd6ad99b"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_r_t_c_peer_connection_delegate-p.html#a7a09538f7bec13438d6b15c8bd6ad99b">peerConnection:didChangeIceGatheringState:</a></td></tr>
<tr class="separator:a7a09538f7bec13438d6b15c8bd6ad99b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad37dea93f05fcd4530f07cd8e5372db9"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_r_t_c_peer_connection_delegate-p.html#ad37dea93f05fcd4530f07cd8e5372db9">peerConnection:didGenerateIceCandidate:</a></td></tr>
<tr class="separator:ad37dea93f05fcd4530f07cd8e5372db9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abae16f982a4cf1da8ddeeb2d658d236e"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_r_t_c_peer_connection_delegate-p.html#abae16f982a4cf1da8ddeeb2d658d236e">peerConnection:didRemoveIceCandidates:</a></td></tr>
<tr class="separator:abae16f982a4cf1da8ddeeb2d658d236e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99e70339b909af47a8823e678690f31e"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_r_t_c_peer_connection_delegate-p.html#a99e70339b909af47a8823e678690f31e">peerConnection:didOpenDataChannel:</a></td></tr>
<tr class="separator:a99e70339b909af47a8823e678690f31e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Method Documentation</h2>
<a id="a78fce8b18d2611196cca39d273cdfdbf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a78fce8b18d2611196cca39d273cdfdbf">&#9670;&nbsp;</a></span>peerConnection:didAddStream:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) peerConnection: </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_r_t_c_peer_connection.html">RTCPeerConnection</a> *)&#160;</td>
          <td class="paramname"><em>peerConnection</em></td>
        </tr>
        <tr>
          <td class="paramkey">didAddStream:</td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_r_t_c_media_stream.html">RTCMediaStream</a> *)&#160;</td>
          <td class="paramname"><em>stream</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Called when media is received on a new stream from remote peer. </p>

</div>
</div>
<a id="a487dce6d42bc12f5022cf6d07dfdd19f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a487dce6d42bc12f5022cf6d07dfdd19f">&#9670;&nbsp;</a></span>peerConnection:didChangeIceConnectionState:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) peerConnection: </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_r_t_c_peer_connection.html">RTCPeerConnection</a> *)&#160;</td>
          <td class="paramname"><em>peerConnection</em></td>
        </tr>
        <tr>
          <td class="paramkey">didChangeIceConnectionState:</td>
          <td></td>
          <td class="paramtype">(RTCIceConnectionState)&#160;</td>
          <td class="paramname"><em>newState</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Called any time the IceConnectionState changes. </p>

</div>
</div>
<a id="a7a09538f7bec13438d6b15c8bd6ad99b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a09538f7bec13438d6b15c8bd6ad99b">&#9670;&nbsp;</a></span>peerConnection:didChangeIceGatheringState:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) peerConnection: </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_r_t_c_peer_connection.html">RTCPeerConnection</a> *)&#160;</td>
          <td class="paramname"><em>peerConnection</em></td>
        </tr>
        <tr>
          <td class="paramkey">didChangeIceGatheringState:</td>
          <td></td>
          <td class="paramtype">(RTCIceGatheringState)&#160;</td>
          <td class="paramname"><em>newState</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Called any time the IceGatheringState changes. </p>

</div>
</div>
<a id="a8557c940e14fa7a98326eddd2521dd95"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8557c940e14fa7a98326eddd2521dd95">&#9670;&nbsp;</a></span>peerConnection:didChangeSignalingState:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) peerConnection: </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_r_t_c_peer_connection.html">RTCPeerConnection</a> *)&#160;</td>
          <td class="paramname"><em>peerConnection</em></td>
        </tr>
        <tr>
          <td class="paramkey">didChangeSignalingState:</td>
          <td></td>
          <td class="paramtype">(RTCSignalingState)&#160;</td>
          <td class="paramname"><em>stateChanged</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Called when the SignalingState changed. </p>

</div>
</div>
<a id="ad37dea93f05fcd4530f07cd8e5372db9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad37dea93f05fcd4530f07cd8e5372db9">&#9670;&nbsp;</a></span>peerConnection:didGenerateIceCandidate:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) peerConnection: </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_r_t_c_peer_connection.html">RTCPeerConnection</a> *)&#160;</td>
          <td class="paramname"><em>peerConnection</em></td>
        </tr>
        <tr>
          <td class="paramkey">didGenerateIceCandidate:</td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_r_t_c_ice_candidate.html">RTCIceCandidate</a> *)&#160;</td>
          <td class="paramname"><em>candidate</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>New ice candidate has been found. </p>

</div>
</div>
<a id="a99e70339b909af47a8823e678690f31e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a99e70339b909af47a8823e678690f31e">&#9670;&nbsp;</a></span>peerConnection:didOpenDataChannel:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) peerConnection: </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_r_t_c_peer_connection.html">RTCPeerConnection</a> *)&#160;</td>
          <td class="paramname"><em>peerConnection</em></td>
        </tr>
        <tr>
          <td class="paramkey">didOpenDataChannel:</td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_r_t_c_data_channel.html">RTCDataChannel</a> *)&#160;</td>
          <td class="paramname"><em>dataChannel</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>New data channel has been opened. </p>

</div>
</div>
<a id="abae16f982a4cf1da8ddeeb2d658d236e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abae16f982a4cf1da8ddeeb2d658d236e">&#9670;&nbsp;</a></span>peerConnection:didRemoveIceCandidates:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) peerConnection: </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_r_t_c_peer_connection.html">RTCPeerConnection</a> *)&#160;</td>
          <td class="paramname"><em>peerConnection</em></td>
        </tr>
        <tr>
          <td class="paramkey">didRemoveIceCandidates:</td>
          <td></td>
          <td class="paramtype">(NSArray&lt; <a class="el" href="interface_r_t_c_ice_candidate.html">RTCIceCandidate</a> * &gt; *)&#160;</td>
          <td class="paramname"><em>candidates</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Called when a group of local Ice candidates have been removed. </p>

</div>
</div>
<a id="a1c89858fff8fb3108a85d8983d0166f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c89858fff8fb3108a85d8983d0166f7">&#9670;&nbsp;</a></span>peerConnection:didRemoveStream:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) peerConnection: </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_r_t_c_peer_connection.html">RTCPeerConnection</a> *)&#160;</td>
          <td class="paramname"><em>peerConnection</em></td>
        </tr>
        <tr>
          <td class="paramkey">didRemoveStream:</td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_r_t_c_media_stream.html">RTCMediaStream</a> *)&#160;</td>
          <td class="paramname"><em>stream</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Called when a remote peer closes a stream. </p>

</div>
</div>
<a id="af61aaa196a762da9c347691a6f8e0dcc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af61aaa196a762da9c347691a6f8e0dcc">&#9670;&nbsp;</a></span>peerConnectionShouldNegotiate:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) peerConnectionShouldNegotiate: </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_r_t_c_peer_connection.html">RTCPeerConnection</a> *)&#160;</td>
          <td class="paramname"><em>peerConnection</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Called when negotiation is needed, for example ICE has restarted. </p>

</div>
</div>
<hr/>The documentation for this protocol was generated from the following file:<ul>
<li><a class="el" href="_r_t_c_peer_connection_8h_source.html">RTCPeerConnection.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
